Subject: [TLS] Re: The TLS WG has placed draft-connolly-tls-mlkem-key-agreement in state "Call For Adoption By WG Issued"
From: Stephen Farrell <[email-masked]>
To: IETF Secretariat <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 1 Apr 2025 15:30:02 +0100
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

Hiya,

I'm opposed to adoption, at this time.

- I think we ought to encourage hybrids but not pure PQ KEMs
   and so adopting documents on hybrid KEMs can make sense so
   we can more easily get to a reommended="Y" in the IANA
   registry when the WG wants to
- I don't see what criteria we might use in adopting this that
   wouldn't leave the WG open to accusations of favouritism if
   we don't adopt other pure PQ national standards that will
   certainly arise

For the above reasons, I think following the old practice of
telling the ISE we have no objection to this ending up as an
independent stream RFC is the better approach for this one,
and similar ones. If/as confidence in pure-PQ KEMs grows or
a CRQC is closer to being demonstrated we could revisit things
then.

I do understand that some people will want/need to use this,
but figure an ISE RFC is better in this case.

Cheers,
S.

On 01/04/2025 13:58, IETF Secretariat wrote:
> 
> The TLS WG has placed draft-connolly-tls-mlkem-key-agreement in state
> Call For Adoption By WG Issued (entered by Sean Turner)
> 
> The document is available at
> https://datatracker.ietf.org/doc/draft-connolly-tls-mlkem-key-agreement/
> 
> 
> _______________________________________________
> TLS mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]